RTEMS: bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_dma_program.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
alt_dma_program.c File Reference
Board Support Packages » ARM » Intel Cyclone V » Contributed Code
`#include <bsp/alt_dma_program.h>`
`#include <bsp/alt_cache.h>`
`#include <stdio.h>`

## Macros
#define | dprintf(...)
#define | ALT_DMA_PROGRAM_FLAG_LOOP0 (1UL << 16)
#define | ALT_DMA_PROGRAM_FLAG_LOOP1 (1UL << 17)
#define | ALT_DMA_PROGRAM_FLAG_LOOP_ALL (ALT_DMA_PROGRAM_FLAG_LOOP0 | ALT_DMA_PROGRAM_FLAG_LOOP1)
#define | ALT_DMA_PROGRAM_FLAG_LOOP0_IS_FE (1UL << 18)
#define | ALT_DMA_PROGRAM_FLAG_LOOP1_IS_FE (1UL << 19)
#define | ALT_DMA_PROGRAM_FLAG_SAR (1UL << 24)
#define | ALT_DMA_PROGRAM_FLAG_DAR (1UL << 25)
#define | ALT_DMA_PROGRAM_FLAG_ENDED (1UL << 31)

## Functions
ALT_STATUS_CODE | alt_dma_program_init (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_uninit (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_clear (ALT_DMA_PROGRAM_t *pgm)
| __attribute__ ((weak))
ALT_STATUS_CODE | alt_dma_program_validate (const ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_progress_reg (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_REG_t reg, uint32_t current, uint32_t *progress)
ALT_STATUS_CODE | alt_dma_program_update_reg (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_REG_t reg, uint32_t val)
ALT_STATUS_CODE | alt_dma_program_DMAADDH (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_REG_t addr_reg, uint16_t val)
ALT_STATUS_CODE | alt_dma_program_DMAADNH (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_REG_t addr_reg, uint16_t val)
ALT_STATUS_CODE | alt_dma_program_DMAEND (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_DMAFLUSHP (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PERIPH_t periph)
ALT_STATUS_CODE | alt_dma_program_DMAGO (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_CHANNEL_t channel, uint32_t val, ALT_DMA_SECURITY_t sec)
ALT_STATUS_CODE | alt_dma_program_DMAKILL (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_DMALD (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_INST_MOD_t mod)
ALT_STATUS_CODE | alt_dma_program_DMALDP (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_INST_MOD_t mod, ALT_DMA_PERIPH_t periph)
ALT_STATUS_CODE | alt_dma_program_DMALP (ALT_DMA_PROGRAM_t *pgm, uint32_t iterations)
ALT_STATUS_CODE | alt_dma_program_DMALPEND (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_INST_MOD_t mod)
ALT_STATUS_CODE | alt_dma_program_DMALPFE (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_DMAMOV (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_REG_t chan_reg, uint32_t val)
ALT_STATUS_CODE | alt_dma_program_DMANOP (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_DMARMB (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_DMASEV (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_EVENT_t evt)
ALT_STATUS_CODE | alt_dma_program_DMAST (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_INST_MOD_t mod)
ALT_STATUS_CODE | alt_dma_program_DMASTP (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PROGRAM_INST_MOD_t mod, ALT_DMA_PERIPH_t periph)
ALT_STATUS_CODE | alt_dma_program_DMASTZ (ALT_DMA_PROGRAM_t *pgm)
ALT_STATUS_CODE | alt_dma_program_DMAWFE (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_EVENT_t evt, bool invalid)
ALT_STATUS_CODE | alt_dma_program_DMAWFP (ALT_DMA_PROGRAM_t *pgm, ALT_DMA_PERIPH_t periph, ALT_DMA_PROGRAM_INST_MOD_t mod)
ALT_STATUS_CODE | alt_dma_program_DMAWMB (ALT_DMA_PROGRAM_t *pgm)

## Function Documentation

## ◆ __attribute__()

__attribute__ | ( | (weak) |  | ) |

External Trace Linker and TBG data. We provide weak versions to allow us to link and be present in an application that has not been trace linked.